/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.mangue.client.gui.contrats;

import org.cocktail.mangue.common.utilities.CocktailIcones;

/**
 *
 * @author  cpinsard
 */
public class SaisieContratAvenantView extends javax.swing.JDialog {

	
    /**
	 * 
	 */
	private static final long serialVersionUID = -7274843962894206085L;

	/** Creates new form TemplateJDialog */
    public SaisieContratAvenantView(java.awt.Frame parent, boolean modal) {
        super(parent, modal);
                
        initComponents();
        initGui();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        buttonGroup1 = new javax.swing.ButtonGroup();
        jPanel2 = new javax.swing.JPanel();
        tfDateDebut = new javax.swing.JTextField();
        jLabel3 = new javax.swing.JLabel();
        jLabel9 = new javax.swing.JLabel();
        tfQuotite = new javax.swing.JTextField();
        jLabel8 = new javax.swing.JLabel();
        btnDelGrade = new javax.swing.JButton();
        popupEchelons = new javax.swing.JComboBox();
        jLabel12 = new javax.swing.JLabel();
        tfLibelleGrade = new javax.swing.JTextField();
        tfDateFin = new javax.swing.JTextField();
        jLabel16 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        btnGetGrade = new javax.swing.JButton();
        jLabel11 = new javax.swing.JLabel();
        tfIndiceMajoreCalcule = new javax.swing.JTextField();
        jLabel5 = new javax.swing.JLabel();
        tfIndiceMajore = new javax.swing.JTextField();
        tfIndiceBrut = new javax.swing.JTextField();
        jPanel3 = new javax.swing.JPanel();
        jLabel6 = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        tfReference = new javax.swing.JTextField();
        tfFonction = new javax.swing.JTextField();
        jLabel18 = new javax.swing.JLabel();
        popupCategories = new javax.swing.JComboBox();
        checkDea = new javax.swing.JCheckBox();
        jLabel17 = new javax.swing.JLabel();
        tfDuree = new javax.swing.JTextField();
        popupTypeDuree = new javax.swing.JComboBox();
        jLabel19 = new javax.swing.JLabel();
        tfTauxHoraire = new javax.swing.JTextField();
        viewConditionRecrutement = new javax.swing.JPanel();
        btnDelRecrutement = new javax.swing.JButton();
        btnGetRecrutement = new javax.swing.JButton();
        jLabel10 = new javax.swing.JLabel();
        tfRecrutement = new javax.swing.JTextField();
        swapViewSpecialisation = new javax.swing.JPanel();
        viewDureeValidee = new javax.swing.JPanel();
        tfAnnees = new org.cocktail.component.COTextField();
        checkTempsPartiel = new javax.swing.JCheckBox();
        tfMois = new org.cocktail.component.COTextField();
        jLabel15 = new javax.swing.JLabel();
        labelDateValidation = new javax.swing.JLabel();
        tfJours = new org.cocktail.component.COTextField();
        jLabel14 = new javax.swing.JLabel();
        tfDateValidation = new org.cocktail.component.COTextField();
        checkTempsIncomplet = new javax.swing.JCheckBox();
        checkTempsComplet = new javax.swing.JCheckBox();
        jLabel2 = new javax.swing.JLabel();
        checkPcAcquitee = new javax.swing.JCheckBox();
        jLabel1 = new javax.swing.JLabel();
        tfQuotiteCotisation = new org.cocktail.component.COTextField();
        jTextField1 = new javax.swing.JTextField();
        viewArrete = new javax.swing.JPanel();
        tfDateArrete = new javax.swing.JTextField();
        jLabel25 = new javax.swing.JLabel();
        jLabel26 = new javax.swing.JLabel();
        tfNoArrete = new javax.swing.JTextField();
        jTextField2 = new javax.swing.JTextField();
        btnPrintArrete = new javax.swing.JButton();
        checkSigne = new javax.swing.JCheckBox();
        btnAnnuler = new javax.swing.JButton();
        btnValider = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("Saisie / Modification des périodes de stage");

        tfDateDebut.setEditable(false);
        tfDateDebut.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfDateDebut.setToolTipText("");
        tfDateDebut.setNextFocusableComponent(tfDateFin);

        jLabel3.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel3.setText("INM");

        jLabel9.setFont(new java.awt.Font("Tahoma", 0, 14));
        jLabel9.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel9.setText("AU");

        tfQuotite.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        jLabel8.setFont(new java.awt.Font("Tahoma", 1, 14));
        jLabel8.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel8.setText("DU");

        popupEchelons.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        jLabel12.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel12.setText("INM (Calculé)");

        tfLibelleGrade.setEditable(false);
        tfLibelleGrade.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfLibelleGrade.setToolTipText("");

        tfDateFin.setEditable(false);
        tfDateFin.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfDateFin.setToolTipText("");

        jLabel16.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel16.setText("Echelon");

        jLabel4.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel4.setText("BRUT");

        jLabel11.setFont(new java.awt.Font("Tahoma", 0, 12));
        jLabel11.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel11.setText("Equivalent Grade");

        tfIndiceMajoreCalcule.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfIndiceMajoreCalcule.setToolTipText("");

        jLabel5.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel5.setText("Quotité");

        tfIndiceMajore.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfIndiceMajore.setToolTipText("");

        tfIndiceBrut.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        org.jdesktop.layout.GroupLayout jPanel2Layout = new org.jdesktop.layout.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, jLabel16, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(jLabel8, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, jLabel11, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 127, Short.MAX_VALUE))
                .add(29, 29, 29)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel2Layout.createSequentialGroup()
                        .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jPanel2Layout.createSequentialGroup()
                                .add(popupEchelons, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 85, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabel3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 42, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfIndiceMajore, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 66, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabel4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 52, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(2, 2, 2)
                                .add(tfIndiceBrut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 59, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(18, 18, 18)
                                .add(jLabel12)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfIndiceMajoreCalcule, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 61, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(jPanel2Layout.createSequentialGroup()
                                .add(tfLibelleGrade, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 529, Short.MAX_VALUE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnGetGrade)))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnDelGrade))
                    .add(jPanel2Layout.createSequentialGroup()
                        .add(tfDateDebut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 104, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 39, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfDateFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 107, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 76, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfQuotite, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 50, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel8)
                    .add(tfDateDebut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel9)
                    .add(tfDateFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(tfQuotite, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel5))
                .add(18, 18, 18)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(tfLibelleGrade)
                        .add(jLabel11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(btnGetGrade, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnDelGrade, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel16)
                    .add(jLabel3)
                    .add(tfIndiceMajore, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel4)
                    .add(popupEchelons, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel12)
                    .add(tfIndiceMajoreCalcule, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(tfIndiceBrut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );

        jLabel6.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel6.setText("Fonctions");

        jLabel7.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel7.setText("Référence Contrat");

        tfReference.setHorizontalAlignment(javax.swing.JTextField.LEFT);

        tfFonction.setHorizontalAlignment(javax.swing.JTextField.LEFT);

        jLabel18.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel18.setText("Catégorie");

        popupCategories.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        checkDea.setText("Dispense de DEA");

        jLabel17.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel17.setText("Durée");

        tfDuree.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        popupTypeDuree.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        jLabel19.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel19.setText("Taux horaire :");

        tfTauxHoraire.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        org.jdesktop.layout.GroupLayout jPanel3Layout = new org.jdesktop.layout.GroupLayout(jPanel3);
        jPanel3.setLayout(jPanel3Layout);
        jPanel3Layout.setHorizontalGroup(
            jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel3Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel3Layout.createSequentialGroup()
                        .add(jLabel17, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 138, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfDuree, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 75, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(popupTypeDuree, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 187, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel19, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 93, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfTauxHoraire, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 75, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(173, 173, 173))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel3Layout.createSequentialGroup()
                        .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(jPanel3Layout.createSequentialGroup()
                                .add(jLabel18, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 139, Short.MAX_VALUE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(popupCategories, 0, 162, Short.MAX_VALUE)
                                .add(18, 18, 18)
                                .add(checkDea, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 344, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(jPanel3Layout.createSequentialGroup()
                                .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(jPanel3Layout.createSequentialGroup()
                                        .add(jLabel6, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 139, Short.MAX_VALUE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED))
                                    .add(jPanel3Layout.createSequentialGroup()
                                        .add(jLabel7, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 138, Short.MAX_VALUE)
                                        .add(5, 5, 5)))
                                .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(org.jdesktop.layout.GroupLayout.TRAILING, tfReference, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 524, Short.MAX_VALUE)
                                    .add(org.jdesktop.layout.GroupLayout.TRAILING, tfFonction, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 524, Short.MAX_VALUE))))
                        .add(96, 96, 96))))
        );
        jPanel3Layout.setVerticalGroup(
            jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel3Layout.createSequentialGroup()
                .add(4, 4, 4)
                .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel18)
                    .add(popupCategories, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(checkDea))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel6)
                    .add(tfFonction, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel7)
                    .add(tfReference, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel17)
                    .add(tfDuree, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(popupTypeDuree, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel19)
                    .add(tfTauxHoraire, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        btnDelRecrutement.setToolTipText("Saisie de la date de titularisation");

        btnGetRecrutement.setToolTipText("Saisie de la date de titularisation");

        jLabel10.setFont(new java.awt.Font("Tahoma", 0, 12));
        jLabel10.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel10.setText("Conditions de recrutement");

        tfRecrutement.setEditable(false);
        tfRecrutement.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfRecrutement.setToolTipText("");

        org.jdesktop.layout.GroupLayout viewConditionRecrutementLayout = new org.jdesktop.layout.GroupLayout(viewConditionRecrutement);
        viewConditionRecrutement.setLayout(viewConditionRecrutementLayout);
        viewConditionRecrutementLayout.setHorizontalGroup(
            viewConditionRecrutementLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(viewConditionRecrutementLayout.createSequentialGroup()
                .addContainerGap()
                .add(jLabel10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 152, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(tfRecrutement, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 551, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(btnGetRecrutement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(btnDelRecrutement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );
        viewConditionRecrutementLayout.setVerticalGroup(
            viewConditionRecrutementLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(viewConditionRecrutementLayout.createSequentialGroup()
                .addContainerGap()
                .add(viewConditionRecrutementLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(btnGetRecrutement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnDelRecrutement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(viewConditionRecrutementLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(jLabel10)
                        .add(tfRecrutement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        swapViewSpecialisation.setLayout(new java.awt.CardLayout());

        viewDureeValidee.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));

        tfAnnees.setEnabledMethod("modificationEnCours");
        tfAnnees.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfAnnees.setNumberFieldFormat("0");
        tfAnnees.setSupportsBackgroundColor(true);
        tfAnnees.setValueName("dureeValideeAnnees");

        buttonGroup1.add(checkTempsPartiel);
        checkTempsPartiel.setText("Temps Partiel");
        checkTempsPartiel.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkTempsPartielActionPerformed(evt);
            }
        });

        tfMois.setEnabledMethod("modificationEnCours");
        tfMois.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfMois.setNumberFieldFormat("0");
        tfMois.setSupportsBackgroundColor(true);
        tfMois.setValueName("dureeValideeMois");

        jLabel15.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel15.setText("Jours");

        labelDateValidation.setFont(new java.awt.Font("Helvetica", 1, 12));
        labelDateValidation.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        labelDateValidation.setText("Date validation services");

        tfJours.setEnabledMethod("modificationEnCours");
        tfJours.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfJours.setNumberFieldFormat("0");
        tfJours.setSupportsBackgroundColor(true);
        tfJours.setValueName("dureeValideeJours");

        jLabel14.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel14.setText("Mois");

        tfDateValidation.setEnabledMethod("peutSaisirInformationsServiceAuxiliaire");
        tfDateValidation.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfDateValidation.setSupportsBackgroundColor(true);
        tfDateValidation.setValueName("dateValidationServiceFormatee");

        buttonGroup1.add(checkTempsIncomplet);
        checkTempsIncomplet.setText("Temps Incomplet");
        checkTempsIncomplet.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkTempsIncompletActionPerformed(evt);
            }
        });

        buttonGroup1.add(checkTempsComplet);
        checkTempsComplet.setSelected(true);
        checkTempsComplet.setText("Temps Complet");
        checkTempsComplet.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkTempsCompletActionPerformed(evt);
            }
        });

        jLabel2.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel2.setText("Années");

        checkPcAcquitee.setText("PC Acquittées");

        jLabel1.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel1.setText("Quotité");

        tfQuotiteCotisation.setEnabledMethod("modificationEnCours");
        tfQuotiteCotisation.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfQuotiteCotisation.setNumberFieldFormat("0");
        tfQuotiteCotisation.setSupportsBackgroundColor(true);
        tfQuotiteCotisation.setValueName("dureeValideeJours");

        jTextField1.setBackground(new java.awt.Color(255, 204, 204));
        jTextField1.setEditable(false);
        jTextField1.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jTextField1.setText("DUREES VALIDEES");
        jTextField1.setAutoscrolls(false);
        jTextField1.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.RAISED));

        org.jdesktop.layout.GroupLayout viewDureeValideeLayout = new org.jdesktop.layout.GroupLayout(viewDureeValidee);
        viewDureeValidee.setLayout(viewDureeValideeLayout);
        viewDureeValideeLayout.setHorizontalGroup(
            viewDureeValideeLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jTextField1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 769, Short.MAX_VALUE)
            .add(viewDureeValideeLayout.createSequentialGroup()
                .add(74, 74, 74)
                .add(viewDureeValideeLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                    .add(viewDureeValideeLayout.createSequentialGroup()
                        .add(jLabel2)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfAnnees, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 38, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(18, 18, 18)
                        .add(jLabel14)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfMois, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 38, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(18, 18, 18)
                        .add(jLabel15)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfJours, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 38, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(18, 18, 18)
                        .add(labelDateValidation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 186, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(4, 4, 4)
                        .add(tfDateValidation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 91, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(viewDureeValideeLayout.createSequentialGroup()
                        .add(checkTempsComplet)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(checkTempsIncomplet)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(checkTempsPartiel)
                        .add(6, 6, 6)
                        .add(jLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 56, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(tfQuotiteCotisation, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .add(18, 18, 18)
                        .add(checkPcAcquitee)))
                .addContainerGap(135, Short.MAX_VALUE))
        );
        viewDureeValideeLayout.setVerticalGroup(
            viewDureeValideeLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(viewDureeValideeLayout.createSequentialGroup()
                .add(jTextField1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(viewDureeValideeLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(viewDureeValideeLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(checkTempsComplet)
                        .add(checkTempsIncomplet)
                        .add(checkTempsPartiel)
                        .add(jLabel1))
                    .add(viewDureeValideeLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(tfQuotiteCotisation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(checkPcAcquitee)))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 8, Short.MAX_VALUE)
                .add(viewDureeValideeLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel2)
                    .add(tfAnnees, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel14)
                    .add(tfMois, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(tfJours, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel15)
                    .add(labelDateValidation)
                    .add(tfDateValidation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );

        viewArrete.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.RAISED));

        tfDateArrete.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfDateArrete.setToolTipText("");
        tfDateArrete.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfDateArreteActionPerformed(evt);
            }
        });

        jLabel25.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel25.setText("Date Arrêté");

        jLabel26.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel26.setText("No Arrêté");

        tfNoArrete.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfNoArrete.setToolTipText("");

        jTextField2.setBackground(new java.awt.Color(255, 204, 204));
        jTextField2.setEditable(false);
        jTextField2.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jTextField2.setText("ARRETE");
        jTextField2.setAutoscrolls(false);
        jTextField2.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.RAISED));

        btnPrintArrete.setToolTipText("Impression de l'arrêté");
        btnPrintArrete.setFocusable(false);

        checkSigne.setText("Signé");

        org.jdesktop.layout.GroupLayout viewArreteLayout = new org.jdesktop.layout.GroupLayout(viewArrete);
        viewArrete.setLayout(viewArreteLayout);
        viewArreteLayout.setHorizontalGroup(
            viewArreteLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jTextField2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 767, Short.MAX_VALUE)
            .add(viewArreteLayout.createSequentialGroup()
                .add(jLabel25, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 129, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(tfDateArrete, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 121, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jLabel26, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 96, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(tfNoArrete, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 130, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(btnPrintArrete, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 53, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(checkSigne)
                .addContainerGap())
        );
        viewArreteLayout.setVerticalGroup(
            viewArreteLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(viewArreteLayout.createSequentialGroup()
                .add(jTextField2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(viewArreteLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(viewArreteLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(jLabel25)
                        .add(tfDateArrete, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabel26)
                        .add(tfNoArrete, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(viewArreteLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(btnPrintArrete, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(checkSigne))))
        );

        btnAnnuler.setText("Annuler");
        btnAnnuler.setToolTipText("Annuler la saisie");
        btnAnnuler.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnAnnulerActionPerformed(evt);
            }
        });

        btnValider.setText("Valider");
        btnValider.setToolTipText("Valider la saisie");
        btnValider.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnValiderActionPerformed(evt);
            }
        });

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                        .add(org.jdesktop.layout.GroupLayout.LEADING, viewConditionRecrutement, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .add(layout.createSequentialGroup()
                            .addContainerGap()
                            .add(swapViewSpecialisation, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 699, Short.MAX_VALUE))
                        .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                            .addContainerGap()
                            .add(jPanel3, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)))
                    .add(jPanel2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(layout.createSequentialGroup()
                        .addContainerGap()
                        .add(viewDureeValidee, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                    .add(layout.createSequentialGroup()
                        .addContainerGap()
                        .add(viewArrete, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .addContainerGap(547, Short.MAX_VALUE)
                        .add(btnAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 116, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnValider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 114, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(jPanel3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(viewConditionRecrutement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(swapViewSpecialisation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 130, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(viewDureeValidee, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(viewArrete, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(18, 18, 18)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(btnValider)
                    .add(btnAnnuler))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-809)/2, (screenSize.height-716)/2, 809, 716);
    }// </editor-fold>//GEN-END:initComponents

private void btnValiderActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnValiderActionPerformed
// TODO add your handling code here:
}//GEN-LAST:event_btnValiderActionPerformed

private void btnAnnulerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnAnnulerActionPerformed
// TODO add your handling code here:
}//GEN-LAST:event_btnAnnulerActionPerformed

private void checkTempsCompletActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkTempsCompletActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_checkTempsCompletActionPerformed

private void checkTempsIncompletActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkTempsIncompletActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_checkTempsIncompletActionPerformed

private void checkTempsPartielActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkTempsPartielActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_checkTempsPartielActionPerformed

private void tfDateArreteActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfDateArreteActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_tfDateArreteActionPerformed

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
            	SaisieContratAvenantView dialog = new SaisieContratAvenantView(new javax.swing.JFrame(), true);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    protected javax.swing.JButton btnAnnuler;
    private javax.swing.JButton btnDelGrade;
    private javax.swing.JButton btnDelRecrutement;
    private javax.swing.JButton btnGetGrade;
    private javax.swing.JButton btnGetRecrutement;
    private javax.swing.JButton btnPrintArrete;
    protected javax.swing.JButton btnValider;
    private javax.swing.ButtonGroup buttonGroup1;
    private javax.swing.JCheckBox checkDea;
    private javax.swing.JCheckBox checkPcAcquitee;
    private javax.swing.JCheckBox checkSigne;
    private javax.swing.JCheckBox checkTempsComplet;
    private javax.swing.JCheckBox checkTempsIncomplet;
    private javax.swing.JCheckBox checkTempsPartiel;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel14;
    private javax.swing.JLabel jLabel15;
    private javax.swing.JLabel jLabel16;
    private javax.swing.JLabel jLabel17;
    private javax.swing.JLabel jLabel18;
    private javax.swing.JLabel jLabel19;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel25;
    private javax.swing.JLabel jLabel26;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel3;
    private javax.swing.JTextField jTextField1;
    private javax.swing.JTextField jTextField2;
    public javax.swing.JLabel labelDateValidation;
    private javax.swing.JComboBox popupCategories;
    private javax.swing.JComboBox popupEchelons;
    private javax.swing.JComboBox popupTypeDuree;
    private javax.swing.JPanel swapViewSpecialisation;
    public org.cocktail.component.COTextField tfAnnees;
    protected javax.swing.JTextField tfDateArrete;
    protected javax.swing.JTextField tfDateDebut;
    protected javax.swing.JTextField tfDateFin;
    public org.cocktail.component.COTextField tfDateValidation;
    private javax.swing.JTextField tfDuree;
    private javax.swing.JTextField tfFonction;
    private javax.swing.JTextField tfIndiceBrut;
    private javax.swing.JTextField tfIndiceMajore;
    private javax.swing.JTextField tfIndiceMajoreCalcule;
    public org.cocktail.component.COTextField tfJours;
    protected javax.swing.JTextField tfLibelleGrade;
    public org.cocktail.component.COTextField tfMois;
    protected javax.swing.JTextField tfNoArrete;
    private javax.swing.JTextField tfQuotite;
    public org.cocktail.component.COTextField tfQuotiteCotisation;
    protected javax.swing.JTextField tfRecrutement;
    private javax.swing.JTextField tfReference;
    private javax.swing.JTextField tfTauxHoraire;
    private javax.swing.JPanel viewArrete;
    private javax.swing.JPanel viewConditionRecrutement;
    private javax.swing.JPanel viewDureeValidee;
    // End of variables declaration//GEN-END:variables

    private void initGui() {
        
    	btnValider.setIcon(CocktailIcones.ICON_VALID);
    	btnAnnuler.setIcon(CocktailIcones.ICON_CANCEL);
    	
    	btnGetGrade.setIcon(CocktailIcones.ICON_SELECT_16);
    	btnDelGrade.setIcon(CocktailIcones.ICON_DELETE);

    	btnGetRecrutement.setIcon(CocktailIcones.ICON_SELECT_16);
    	btnDelRecrutement.setIcon(CocktailIcones.ICON_DELETE);

    	btnPrintArrete.setIcon(CocktailIcones.ICON_PRINTER_16);
    	
    }

	public javax.swing.JButton getBtnAnnuler() {
		return btnAnnuler;
	}

	public void setBtnAnnuler(javax.swing.JButton btnAnnuler) {
		this.btnAnnuler = btnAnnuler;
	}

	public javax.swing.JButton getBtnDelRecrutement() {
		return btnDelRecrutement;
	}

	public void setBtnDelRecrutement(javax.swing.JButton btnDelRecrutement) {
		this.btnDelRecrutement = btnDelRecrutement;
	}

	public javax.swing.JButton getBtnGetGrade() {
		return btnGetGrade;
	}

	public void setBtnGetGrade(javax.swing.JButton btnGetGrade) {
		this.btnGetGrade = btnGetGrade;
	}

	public javax.swing.JButton getBtnGetRecrutement() {
		return btnGetRecrutement;
	}

	public void setBtnGetRecrutement(javax.swing.JButton btnGetRecrutement) {
		this.btnGetRecrutement = btnGetRecrutement;
	}

	public javax.swing.JButton getBtnValider() {
		return btnValider;
	}

	public void setBtnValider(javax.swing.JButton btnValider) {
		this.btnValider = btnValider;
	}

	public javax.swing.JCheckBox getCheckDea() {
		return checkDea;
	}

	public javax.swing.JPanel getViewConditionRecrutement() {
		return viewConditionRecrutement;
	}

	public void setViewConditionRecrutement(
			javax.swing.JPanel viewConditionRecrutement) {
		this.viewConditionRecrutement = viewConditionRecrutement;
	}

	public void setCheckDea(javax.swing.JCheckBox checkDea) {
		this.checkDea = checkDea;
	}

	public javax.swing.JCheckBox getCheckTempsComplet() {
		return checkTempsComplet;
	}

	public void setCheckTempsComplet(javax.swing.JCheckBox checkTempsComplet) {
		this.checkTempsComplet = checkTempsComplet;
	}

	public javax.swing.JCheckBox getCheckTempsIncomplet() {
		return checkTempsIncomplet;
	}

	public void setCheckTempsIncomplet(javax.swing.JCheckBox checkTempsIncomplet) {
		this.checkTempsIncomplet = checkTempsIncomplet;
	}

	public javax.swing.JCheckBox getCheckTempsPartiel() {
		return checkTempsPartiel;
	}

	public void setCheckTempsPartiel(javax.swing.JCheckBox checkTempsPartiel) {
		this.checkTempsPartiel = checkTempsPartiel;
	}

	public javax.swing.JComboBox getPopupEchelons() {
		return popupEchelons;
	}

	public javax.swing.JPanel getViewArrete() {
		return viewArrete;
	}

	public void setViewArrete(javax.swing.JPanel viewArrete) {
		this.viewArrete = viewArrete;
	}

	public org.cocktail.component.COTextField getTfQuotiteCotisation() {
		return tfQuotiteCotisation;
	}

	public void setTfQuotiteCotisation(
			org.cocktail.component.COTextField tfQuotiteCotisation) {
		this.tfQuotiteCotisation = tfQuotiteCotisation;
	}

	public void setPopupEchelons(javax.swing.JComboBox popupEchelons) {
		this.popupEchelons = popupEchelons;
	}

	public javax.swing.JComboBox getPopupTypeDuree() {
		return popupTypeDuree;
	}

	public void setPopupTypeDuree(javax.swing.JComboBox popupTypeDuree) {
		this.popupTypeDuree = popupTypeDuree;
	}

	public javax.swing.JPanel getSwapViewSpecialisation() {
		return swapViewSpecialisation;
	}

	public void setSwapViewSpecialisation(javax.swing.JPanel swapViewSpecialisation) {
		this.swapViewSpecialisation = swapViewSpecialisation;
	}

	public org.cocktail.component.COTextField getTfAnnees() {
		return tfAnnees;
	}

	public void setTfAnnees(org.cocktail.component.COTextField tfAnnees) {
		this.tfAnnees = tfAnnees;
	}

	public javax.swing.JComboBox getPopupCategories() {
		return popupCategories;
	}

	public void setPopupCategories(javax.swing.JComboBox popupCategories) {
		this.popupCategories = popupCategories;
	}

	public javax.swing.JTextField getTfDateDebut() {
		return tfDateDebut;
	}

	public void setTfDateDebut(javax.swing.JTextField tfDateDebut) {
		this.tfDateDebut = tfDateDebut;
	}

	public javax.swing.JTextField getTfDateFin() {
		return tfDateFin;
	}

	public void setTfDateFin(javax.swing.JTextField tfDateFin) {
		this.tfDateFin = tfDateFin;
	}

	public org.cocktail.component.COTextField getTfDateValidation() {
		return tfDateValidation;
	}

	public void setTfDateValidation(
			org.cocktail.component.COTextField tfDateValidation) {
		this.tfDateValidation = tfDateValidation;
	}

	public javax.swing.JTextField getTfDuree() {
		return tfDuree;
	}

	public void setTfDuree(javax.swing.JTextField tfDuree) {
		this.tfDuree = tfDuree;
	}

	public javax.swing.JTextField getTfFonction() {
		return tfFonction;
	}

	public void setTfFonction(javax.swing.JTextField tfFonction) {
		this.tfFonction = tfFonction;
	}

	

	public javax.swing.JTextField getTfIndiceBrut() {
		return tfIndiceBrut;
	}

	public void setTfIndiceBrut(javax.swing.JTextField tfIndiceBrut) {
		this.tfIndiceBrut = tfIndiceBrut;
	}

	public javax.swing.JTextField getTfIndiceMajore() {
		return tfIndiceMajore;
	}

	public void setTfIndiceMajore(javax.swing.JTextField tfIndiceMajore) {
		this.tfIndiceMajore = tfIndiceMajore;
	}

	public org.cocktail.component.COTextField getTfJours() {
		return tfJours;
	}

	public void setTfJours(org.cocktail.component.COTextField tfJours) {
		this.tfJours = tfJours;
	}

	public javax.swing.JTextField getTfDateArrete() {
		return tfDateArrete;
	}

	public void setTfDateArrete(javax.swing.JTextField tfDateArrete) {
		this.tfDateArrete = tfDateArrete;
	}

	public javax.swing.JCheckBox getCheckPcAcquitee() {
		return checkPcAcquitee;
	}

	public void setCheckPcAcquitee(javax.swing.JCheckBox checkPcAcquitee) {
		this.checkPcAcquitee = checkPcAcquitee;
	}

	public javax.swing.JTextField getTfNoArrete() {
		return tfNoArrete;
	}

	public void setTfNoArrete(javax.swing.JTextField tfNoArrete) {
		this.tfNoArrete = tfNoArrete;
	}

	public javax.swing.JTextField getTfRecrutement() {
		return tfRecrutement;
	}

	public void setTfRecrutement(javax.swing.JTextField tfRecrutement) {
		this.tfRecrutement = tfRecrutement;
	}

	public javax.swing.JTextField getTfLibelleGrade() {
		return tfLibelleGrade;
	}

	public void setTfLibelleGrade(javax.swing.JTextField tfLibelleGrade) {
		this.tfLibelleGrade = tfLibelleGrade;
	}

	public javax.swing.JButton getBtnPrintArrete() {
		return btnPrintArrete;
	}

	public void setBtnPrintArrete(javax.swing.JButton btnPrintArrete) {
		this.btnPrintArrete = btnPrintArrete;
	}

	public javax.swing.JCheckBox getCheckSigne() {
		return checkSigne;
	}

	public void setCheckSigne(javax.swing.JCheckBox checkSigne) {
		this.checkSigne = checkSigne;
	}

	public org.cocktail.component.COTextField getTfMois() {
		return tfMois;
	}

	public void setTfMois(org.cocktail.component.COTextField tfMois) {
		this.tfMois = tfMois;
	}

	public javax.swing.JTextField getTfQuotite() {
		return tfQuotite;
	}

	public void setTfQuotite(javax.swing.JTextField tfQuotite) {
		this.tfQuotite = tfQuotite;
	}

	public javax.swing.JTextField getTfReference() {
		return tfReference;
	}

	public void setTfReference(javax.swing.JTextField tfReference) {
		this.tfReference = tfReference;
	}

	public javax.swing.JTextField getTfIndiceMajoreCalcule() {
		return tfIndiceMajoreCalcule;
	}

	public void setTfIndiceMajoreCalcule(
			javax.swing.JTextField tfIndiceMajoreCalcule) {
		this.tfIndiceMajoreCalcule = tfIndiceMajoreCalcule;
	}

	public javax.swing.JButton getBtnDelGrade() {
		return btnDelGrade;
	}

	public void setBtnDelGrade(javax.swing.JButton btnDelGrade) {
		this.btnDelGrade = btnDelGrade;
	}

	public javax.swing.JPanel getViewDureeValidee() {
		return viewDureeValidee;
	}

	public void setViewDureeValidee(javax.swing.JPanel viewDureeValidee) {
		this.viewDureeValidee = viewDureeValidee;
	}

	public javax.swing.JTextField getTfTauxHoraire() {
		return tfTauxHoraire;
	}

	public void setTfTauxHoraire(javax.swing.JTextField tfTauxHoraire) {
		this.tfTauxHoraire = tfTauxHoraire;
	}


}
